Package net.snowflake.client.jdbc

## Class SnowflakeConnectString

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeConnectString

All Implemented Interfaces:
  `Serializable`

    public class SnowflakeConnectString
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAccount()`
`String` `getHost()`
`Map<String,​Object>` `getParameters()`
`int` `getPort()`
`String` `getScheme()`
`boolean` `isValid()`
`static SnowflakeConnectString` `parse​(String url, Properties info)`
`String` `toString()`
`String` `toString​(boolean maskSensitiveValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### parse

    public static SnowflakeConnectString parse​(String url,
                                               Properties info)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### toString

    public String toString​(boolean maskSensitiveValue)

#### isValid

    public boolean isValid()

#### getScheme

    public String getScheme()

#### getHost

    public String getHost()

#### getPort

    public int getPort()

#### getParameters

    public Map<String,​Object> getParameters()

#### getAccount

    public String getAccount()